#!/bin/bash -e

if [ "$DOTNET_VERSION" = "5" ] || [ "$DOTNET_VERSION" = "6" ]
then
  DOTNET_VERSION=${DOTNET_VERSION}.0
fi
apt-get update
apt-get install -y apt-transport-https
apt-get update

curl -SL -o dotnet.tar.gz https://dotnetcli.blob.core.windows.net/dotnet/Sdk/master/dotnet-sdk-latest-linux-arm64.tar.gz
sudo mkdir -p /usr/share/dotnet
sudo tar -zxf dotnet.tar.gz -C /usr/share/dotnet
sudo ln -s /usr/share/dotnet/dotnet /usr/bin/dotnet